import 'package:flutter/material.dart';

abstract class AppColors {
  static const Color bgColorLight = Color(0xFFF0F2FF);
  static const Color bgColorDark = Color(0xFF040B45);
  static const Color blackBlack = Color(0xFF02071D);
  static const Color blackGray = Color(0xFF656773);
  static const Color blackCaptionText = Color(0xFFAEAEB1);
  static const Color blackCaptionBlue = Color(0xFF8485A4);
  static const Color primaryYellow = Color(0xFFFFF3A8);
  static const Color primaryYellowDark = Color(0xFFEEE39F);
  static const Color primaryYolk = Color(0xFFFFF321);
  static const Color primaryBlue = Color(0xFF002AE8);
  static const Color primaryMint = Color(0xFFDFEDE3);
  static const Color grayWhite = Color(0xFFFFFFFF);
  static const Color grayStroke = Color(0xFFA8AABD);
  static const Color grayDisable = Color(0xFFD8D9E0);
  static const Color grayPrimaryFrame = Color(0xFFFAFAFF);
  static const Color grayTintStroke = Color(0xFFE1E2E8);
  static const Color statusError = Color(0xFFF45E5E);
  static const Color statusSuccess = Color(0xFF14A858);
  static const Color statusWarning = Color(0xFFED7021);
  static const Color statusWarningBody = Color(0xFF906F07);
  static const Color statusRate = Color(0xFFF7CE39);
  static const Color tintGreen = Color(0xFFF3FCF7);
  static const Color tintDarkGreen = Color(0xFFC8EFDB);
  static const Color tintRed = Color(0xFFFEF2F2);
  static const Color tintYellow = Color(0xFFFEF7E0);
  static const Color tintBlue = Color(0xFFF0F3FF);
  static const Color tintDarkBlue = Color(0xFF7A88BE);
  static const Color tintGray = Color(0xFFEBEBEB);
  static const Color tintDarkRed = Color(0xFFFDB9B9);
  static const Color tintDropDownButton = Color(0xFFBEC5FE);
  static const Color tintOrange = Color(0xFFFAEBE3);
  static const Color navBarDisabled = Color(0xFF5C6081);
  static const Color darkBgBgElements = Color(0xFF1B1F41);
  static const Color darkBgActiveButtonState = Color(0xFF252A5A);
  static const Color darkBgStroke = Color(0xFF4E537E);
  static const Color darkBgInactive = Color(0xFF7A7FA9);
  static const Color buttonPrimaryYellowDrop = Color(0xFFFFEB6B);
  static const Color buttonPrimaryYellowActive = Color(0xFFFFF7C7);
  static const Color buttonPrimaryYellowActiveDrop = Color(0xFFFFF2A3);
  static const Color buttonOutline = Color(0xFFBEC5FE);
  static const Color buttonTertiaryActive = Color(0xFFEBEDFF);
  static const Color bgProfileCard = Color(0xff405FED);
}

class KWTheme {
  static ThemeData get lightTheme {
    return ThemeData(
      useMaterial3: true,
      scaffoldBackgroundColor: AppColors.bgColorLight,
      progressIndicatorTheme:
          const ProgressIndicatorThemeData(color: AppColors.bgColorDark),
      fontFamily: 'Poppins',
      //unused
      appBarTheme: const AppBarTheme(
        backgroundColor: AppColors.bgColorLight,
      ),
      colorScheme: ColorScheme.fromSwatch().copyWith(
        secondary: AppColors.statusSuccess,
      ),
    );
  }
}
